- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get#try-it)

Returns a user profile.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to access this user profile, if no profile exists with the requested ID, or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).

### HTTP request

`GET https://classroom.googleapis.com/v1/userProfiles/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` Identifier of the profile to return. The identifier can be one of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.rosters`
- `
  https://www.googleapis.com/auth/classroom.rosters.readonly`
- `
  https://www.googleapis.com/auth/classroom.profile.emails`
- `
  https://www.googleapis.com/auth/classroom.profile.photos`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).